<?php

function now()
{
	return new DateTime("now");
}

function signalHandler($signal)
{
	endMoha();
}

function notify($message)
{
	foreach($notificationMethods as $value)
	{
		$result |= $value->send($message);
	}
	return $result;
}

function logger($level, $log)
{
	global $logFh, $logLevel;
	if ( $level >= $logLevel)
	{
		fwrite($logFh, "$level : $log" . EOL);
		print ("$level : $log" . EOL);
	}
	if ($level >= $notificationLevel)
	{
		if(notify($message) == true)
		{
			logger(INFO, __("Notification not sent"));
		}
	}
}

?>
